CrossCorrFull_Norm
Image Proximity

Primitives for computing the normalized cross correlation between two images with full mode. More...

## CrossCorrFull_Norm

The functions compute the in General Introduction with full mode (see Categorizations).
NppStatus | nppiCrossCorrFull_Norm_8u_C1RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor)
| One-channel 8-bit unsigned image CrossCorrFull_Norm, scaled by . More...
NppStatus | nppiCrossCorrFull_Norm_8u_C3RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor)
| Three-channel 8-bit unsigned image CrossCorrFull_Norm, scaled by . More...
NppStatus | nppiCrossCorrFull_Norm_8u_C4RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor)
| Four-channel 8-bit unsigned image CrossCorrFull_Norm, scaled by . More...
NppStatus | nppiCrossCorrFull_Norm_8u_AC4RSfs (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp8u *pDst, int nDstStep, int nScaleFactor)
| Four-channel 8-bit unsigned image CrossCorrFull_Norm ignoring alpha channel, scaled by . More...
NppStatus | nppiCrossCorrFull_Norm_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| One-channel 32-bit floating point image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Three-channel 32-bit floating point image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Four-channel 32-bit floating point image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp32f *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Four-channel 32-bit floating point image CrossCorrFull_Norm ignoring alpha channel. More...
NppStatus | nppiCrossCorrFull_Norm_8u32f_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| One-channel 8-bit unsigned image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_8u32f_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Three-channel 8-bit unsigned image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_8u32f_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Four-channel 8-bit unsigned image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_8u32f_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Four-channel 8-bit unsigned image CrossCorrFull_Norm ignoring alpha channel. More...
NppStatus | nppiCrossCorrFull_Norm_8s32f_C1R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| One-channel 8-bit signed image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_8s32f_C3R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Three-channel 8-bit signed image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_8s32f_C4R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Four-channel 8-bit signed image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_8s32f_AC4R (const Npp8s *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp8s *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Four-channel 8-bit signed image CrossCorrFull_Norm ignoring alpha channel. More...
NppStatus | nppiCrossCorrFull_Norm_16u32f_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| One-channel 16-bit unsigned image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_16u32f_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Three-channel 16-bit unsigned image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_16u32f_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Four-channel 16-bit unsigned image CrossCorrFull_Norm. More...
NppStatus | nppiCrossCorrFull_Norm_16u32f_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcRoiSize, const Npp16u *pTpl, int nTplStep, NppiSize oTplRoiSize, Npp32f *pDst, int nDstStep)
| Four-channel 16-bit unsigned image CrossCorrFull_Norm ignoring alpha channel. More...

## Detailed Description

Primitives for computing the normalized cross correlation between two images with full mode.

## Function Documentation

NppStatus nppiCrossCorrFull_Norm_16u32f_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Four-channel 16-bit unsigned image CrossCorrFull_Norm ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_16u32f_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

One-channel 16-bit unsigned image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_16u32f_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Three-channel 16-bit unsigned image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_16u32f_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp16u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Four-channel 16-bit unsigned image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Four-channel 32-bit floating point image CrossCorrFull_Norm ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

One-channel 32-bit floating point image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Three-channel 32-bit floating point image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp32f * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Four-channel 32-bit floating point image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8s32f_AC4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Four-channel 8-bit signed image CrossCorrFull_Norm ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8s32f_C1R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

One-channel 8-bit signed image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8s32f_C3R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Three-channel 8-bit signed image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8s32f_C4R | ( | const Npp8s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8s * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Four-channel 8-bit signed image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8u32f_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Four-channel 8-bit unsigned image CrossCorrFull_Norm ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8u32f_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

One-channel 8-bit unsigned image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8u32f_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Three-channel 8-bit unsigned image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8u32f_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp32f * | pDst,
|  | int | nDstStep
| ) |  |

Four-channel 8-bit unsigned image CrossCorrFull_Norm.

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8u_AC4RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor
| ) |  |

Four-channel 8-bit unsigned image CrossCorrFull_Norm ignoring alpha channel, scaled by .

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8u_C1RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor
| ) |  |

One-channel 8-bit unsigned image CrossCorrFull_Norm, scaled by .

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8u_C3RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor
| ) |  |

Three-channel 8-bit unsigned image CrossCorrFull_Norm, scaled by .

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

NppStatus nppiCrossCorrFull_Norm_8u_C4RSfs | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcRoiSize,
|  | const Npp8u * | pTpl,
|  | int | nTplStep,
|  | NppiSize | oTplRoiSize,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | int | nScaleFactor
| ) |  |

Four-channel 8-bit unsigned image CrossCorrFull_Norm, scaled by .

For common parameter descriptions, see Common parameters for nppiSqrDistanceFull functions.

Copyright © 2009-2017 NVIDIA Corporation